package com.ruoyi.oa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目分包合同对象 cmc_project_sub_contract
 * 
 * @author cmc
 * @date 2024-06-19
 */
public class CmcProjectSubContract extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目id */
    private String projectId;

    /** 分包合同id */
    private String subContractId;

    public void setProjectId(String projectId) 
    {
        this.projectId = projectId;
    }

    public String getProjectId() 
    {
        return projectId;
    }
    public void setSubContractId(String subContractId) 
    {
        this.subContractId = subContractId;
    }

    public String getSubContractId() 
    {
        return subContractId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("subContractId", getSubContractId())
            .toString();
    }
}
